Subject: [Ace] Proof-of-Possession Key Semantics for CBOR Web Tokens (CWTs) is now RFC 8747

From: Mike Jones <[email-masked]>
Date: Tue, 10 Mar 2020 05:22:23 +0000

I'm pleased to report that Proof-of-Possession Key Semantics for CBOR Web Tokens (CWTs) is now RFC 8747<https://www.rfc-editor.org/rfc/rfc8747.html>.  The abstract of the specification is:

This specification describes how to declare in a CBOR Web Token (CWT) (which is defined by RFC 8392) that the presenter of the CWT possesses a particular proof-of-possession key. Being able to prove possession of a key is also sometimes described as being the holder-of-key. This specification provides equivalent functionality to "Proof-of-Possession Key Semantics for JSON Web Tokens (JWTs)" (RFC 7800) but using Concise Binary Object Representation (CBOR) and CWTs rather than JavaScript Object Notation (JSON) and JSON Web Tokens (JWTs).

This is one of a series of specifications, including CWT [RFC 8392<https://tools.ietf.org/html/rfc8392>] - which mirrors JWT [RFC 7519<https://tools.ietf.org/html/rfc7519>], in which we are intentionally bringing functionality that is available in JSON to the CBOR and IoT world.

                                                       -- Mike

P.S.  This notice was also posted at https://self-issued.info/?p=2066 and as @selfissued<https://twitter.com/selfissued>.